{% assign sku_status = '' %}
{% assign data_skus = '' %}

{% if image.skus == blank %}
  {% assign sku_status = 'data-without-sku' %}
{% else %}
  {% assign sku_status = 'data-with-sku' %}
  {% assign data_skus = image.skus | join: ',' | prepend: 'data-skus-image="' | append: ',"' %}
{% endif %}

<div class="image-thumb swiper-slide" {{ sku_status }} {{ data_skus }} data-image-thumb data-image-index="product-{{ forloop.index0 }}-video">
  <figure class="image -square">
    <img class="lazy" loading="lazy" data-src="{{ video.thumbnail_url | replace: 'hqdefault', 'mqdefault' }}" alt="{{ product.name }}"/>
  </figure>
</div>

{% comment %}
  - Qualidade da Thumb para vídeos do youtube

  Caso precise alterar a qualidade da thumb exibida na página de produto,
  mudar o "mqdefault" da flag de replace para o valor desejado:
  
  mqdefault - 320x180
  hqdefault - 480x360
  sddefault - 640x480
  maxresdefault - 1280x720
  default - 120x90
{% endcomment %}
